classification
Title: leak in set_symmetric_difference?
Type: behavior Stage: resolved
Components: Interpreter Core Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: inada.naoki, lekma, miss-islington, rhettinger, serhiy.storchaka, vstinner
Priority: normal Keywords: patch

Created on 2018-04-30 09:42 by lekma, last changed 2018-05-03 02:43 by inada.naoki. This issue is now closed.

Files
File name Uploaded Description Edit
setobject.c.diff lekma, 2018-04-30 09:42
Pull Requests
URL Status Linked Edit
PR 6670 merged lekma, 2018-05-01 06:09
PR 6671 closed lekma, 2018-05-01 09:25
PR 6672 closed lekma, 2018-05-01 09:26
PR 6690 merged miss-islington, 2018-05-02 09:29
PR 6691 merged miss-islington, 2018-05-02 09:30
PR 6692 merged miss-islington, 2018-05-02 09:31
Messages (10)
msg315945 - (view) Author: (lekma) * Date: 2018-04-30 09:42
shouldn't otherset be decrefed before returning on error in set_symmetric_difference? if not, what am I missing?
msg315947 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-04-30 11:20
Good catch! Do you mind to create a pull request on GitHub?
msg315951 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-04-30 13:40
I don't think that an unit test is needed, and I failed to write such test :-)
msg315988 - (view) Author: (lekma) * Date: 2018-05-01 06:15
> Good catch! Do you mind to create a pull request on GitHub?
done
msg316058 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2018-05-02 09:29
New changeset 491bbedc209fea314a04cb3015da68fb0aa63238 by INADA Naoki (lekma) in branch 'master':
bpo-33391: Fix refleak in set_symmetric_difference (GH-6670)
https://github.com/python/cpython/commit/491bbedc209fea314a04cb3015da68fb0aa63238
msg316062 - (view) Author: miss-islington (miss-islington) Date: 2018-05-02 09:50
New changeset 6a56790e0b50846f1f968e48c3a321c148b5e6cd by Miss Islington (bot) in branch '3.7':
bpo-33391: Fix refleak in set_symmetric_difference (GH-6670)
https://github.com/python/cpython/commit/6a56790e0b50846f1f968e48c3a321c148b5e6cd
msg316064 - (view) Author: miss-islington (miss-islington) Date: 2018-05-02 10:12
New changeset d5546991a2123b6ec84f7c4ecf37b62bedd78ea4 by Miss Islington (bot) in branch '3.6':
bpo-33391: Fix refleak in set_symmetric_difference (GH-6670)
https://github.com/python/cpython/commit/d5546991a2123b6ec84f7c4ecf37b62bedd78ea4
msg316066 - (view) Author: miss-islington (miss-islington) Date: 2018-05-02 10:23
New changeset 6d3d02c69a65abcd64eb6d83baac5675f9208318 by Miss Islington (bot) in branch '2.7':
bpo-33391: Fix refleak in set_symmetric_difference (GH-6670)
https://github.com/python/cpython/commit/6d3d02c69a65abcd64eb6d83baac5675f9208318
msg316094 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2018-05-03 01:45
I had assigned this to myself to review and apply.  I would have appreciated you letting me complete that task when I had a chance to take a breath.  This was a bug that I caused, so I should be the one responsible for fixing it.
msg316101 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2018-05-03 02:43
I'm sorry.  I just reviewed some easy pull requests when I have time.
I'll skip pull requests you assigned yourself next time.
History
Date User Action Args
2018-05-03 02:43:22inada.naokisetmessages: + msg316101
2018-05-03 01:45:51rhettingersetmessages: + msg316094
2018-05-02 10:35:58inada.naokisetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-05-02 10:23:43miss-islingtonsetmessages: + msg316066
2018-05-02 10:12:22miss-islingtonsetmessages: + msg316064
2018-05-02 09:50:50miss-islingtonsetnosy: + miss-islington
messages: + msg316062
2018-05-02 09:31:21miss-islingtonsetpull_requests: + pull_request6385
2018-05-02 09:30:20miss-islingtonsetpull_requests: + pull_request6384
2018-05-02 09:29:28miss-islingtonsetpull_requests: + pull_request6383
2018-05-02 09:29:19inada.naokisetnosy: + inada.naoki
messages: + msg316058
2018-05-01 09:26:36lekmasetpull_requests: + pull_request6367
2018-05-01 09:25:36lekmasetpull_requests: + pull_request6366
2018-05-01 06:15:45lekmasetmessages: + msg315988
2018-05-01 06:09:58lekmasetstage: patch review
pull_requests: + pull_request6365
2018-05-01 01:57:38rhettingersetassignee: rhettinger
2018-04-30 13:40:25vstinnersetnosy: + vstinner
messages: + msg315951
2018-04-30 11:20:48serhiy.storchakasetnosy: + rhettinger, serhiy.storchaka
type: behavior
messages: + msg315947
2018-04-30 09:42:42lekmacreate